Package org.apache.juli

## Class FileHandler.ThreadFactory

- java.lang.Object
- - org.apache.juli.FileHandler.ThreadFactory

- All Implemented Interfaces:
    `java.util.concurrent.ThreadFactory`
  Enclosing class:
    FileHandler

      protected static final class FileHandler.ThreadFactory
      extends java.lang.Object
      implements java.util.concurrent.ThreadFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadFactory​(java.lang.String namePrefix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Thread` | `newThread​(java.lang.Runnable r)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadFactory

          public ThreadFactory​(java.lang.String namePrefix)

  - ### Method Detail

    - #### newThread

          public java.lang.Thread newThread​(java.lang.Runnable r)

      Specified by:
        `newThread` in interface `java.util.concurrent.ThreadFactory`